petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsHelpPrintedCheck

Checks if a particular pre, name pair has previous been entered (meaning the help message was printed)

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscOptionsHelpPrintedCheck(PetscOptionsHelpPrinted hp,const char *pre,const char* name,PetscBool *found)

Not collective Many br

### Input Parameters

| hp | - the object used to manage tracking what help messages have been printed Many br
| pre | - the prefix part of the string, many be NULL Many br
| name | - the string to look for (cannot be NULL) Many br

### Output Parameter

found -PETSC_TRUE if the string was already set Many br

Many br

### See Also

PetscOptionsHelpPrintedCreate()

Level:intermediate
Location:src/sys/classes/viewer/interface/viewreg.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages